// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true



onEvent("item.tags", event => {
    let filteredIngredients = Ingredient.of(["%create.base"]);
    filteredIngredients.stacks.toArray().forEach(stack => {
        event.add("kubejs:create_basics", stack.id);
    });
});

onEvent('item.tags', event => {
    event.remove('kubejs:create_basics', 'create:cart_assembler')
});

onEvent("item.tags", event => {
    let Ingredients = Ingredient.of(["quark:deepslate", "quark:root", "%building_blocks", "%decorations", "#forge:crops"]); 
    let filteredIngredients = Ingredient.of(["@quark", "@upgrade_aquatic", "@savageandravage", "@buzzier_bees"]).filter(Ingredients); 

    filteredIngredients.stacks.toArray().forEach(stack => {
        event.add("kubejs:starter", stack.id);
    });
});

onEvent("item.tags", event => {
    let Ingredients = Ingredient.of(["#kubejs:starter"]).not(); // create a filter with items and invert it
    let filteredIngredients = Ingredient.of(["@quark", "@upgrade_aquatic", "@savageandravage", "@buzzier_bees"]).filter(Ingredients); // get all #forge:crops and apply our filter

    filteredIngredients.stacks.toArray().forEach(stack => {
        event.add("kubejs:starter_ban", stack.id);
    });
});

onEvent("item.tags", event => {
    let Ingredients = Ingredient.of(["immersiveengineering:cokebrick", "#forge:crops", "immersiveengineering:hammer", "#forge:treated_wood_slab", "#forge:treated_wood", "immersiveengineering:stick_treated"]).not(); // create a filter with items and invert it
    let filteredIngredients = Ingredient.of(["@immersiveengineering"]).filter(Ingredients); // get all #forge:crops and apply our filter

    filteredIngredients.stacks.toArray().forEach(stack => {
        event.add("kubejs:immersive", stack.id);
    });
});
